Subject: Talin/thaumatin

From: [email-masked] (jmorrey)
Date: 28 Jun 96 15:42:20 MDT

Does anyone know of companies who might use Talin in their products? 
Please provide their name and how to contact.   Thanks in advance.